GEN_PATH="/docs/swagger"

generate() {
  SWAGGER_FILE=$(find DOCDIR -maxdepth 1 -type f -iname "swagger.*" -printf "%f" -quit)
  if [[ ! "$SWAGGER_FILE" ]]; then
    echo "fichier de configuration ($1/swagger.*) introuvable" >&2
  fi

  echo "<!DOCTYPE html>
  <html>
    <head>
      <meta http-equiv=\"Refresh\" content=\"0; url=/swagger?url=/documentation/$DRONE_REPO_OWNER/swagger/$DRONE_REPO_NAME/$SWAGGER_FILE\" />
    </head>
    <body>
      <p>Suivez <a href=\"/swagger?url=/swagger?url=/documentation/$DRONE_REPO_OWNER/swagger/$DRONE_REPO_NAME/$SWAGGER_FILE\">ce lien</a>.</p>
    </body>
  </html>" > $GEN_PATH/CLICKME.html

  mv "$SWAGGER_FILE" $GEN_PATH
}
